# VecSetFromOptions

Configures the vector from the options database.

### Synopsis

    #include "petscvec.h"
    PetscErrorCode  VecSetFromOptions(Vec vec)

Collective on Vec

### Input Parameter

vec -The vector

Notes: To see all options, run your program with the -help option, or consult the users manual. Must be called after VecCreate() but before the vector is used.

### Keywords

Vec, set, options, database

### See Also

VecCreate(), VecSetOptionsPrefix()

Level:beginner
Location: src/vec/vec/interface/vector.c
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/vec/vec/examples/tutorials/ex1.c.html
src/vec/vec/examples/tutorials/ex1e.c.html
src/vec/vec/examples/tutorials/ex2.c.html
src/vec/vec/examples/tutorials/ex3.c.html
src/vec/vec/examples/tutorials/ex5.c.html
src/vec/vec/examples/tutorials/ex6.c.html
src/vec/vec/examples/tutorials/ex7.c.html
src/vec/vec/examples/tutorials/ex8.c.html
src/vec/vec/examples/tutorials/ex10.c.html
src/vec/vec/examples/tutorials/ex11.c.html
src/vec/vec/examples/tutorials/ex12.c.html